
pfSense Packages - Feature #10950

Allow to select only netmap-compatible cards for inline mode

10/03/2020 08:58 AM - Viktor Gurov

Status: Resolved Start date: 10/03/2020

Priority: Normal Due date:  

Assignee: Renato Botelho % Done: 0%

Category: Snort Estimated time: 0.00 hour

Target version:    

Plus Target Version:    

Description

https://www.freebsd.org/cgi/man.cgi?query=netmap&sektion=4:

SUPPORTED DEVICES

     netmap natively supports the following devices:

     On    FreeBSD: cxgbe(4), em(4), iflib(4) (providing igb, em and lem),

     ixgbe(4), ixl(4), re(4), vtnet(4).

 add input validation to prevent users from choosing an unsupported card

History

#1 - 10/03/2020 09:31 AM - Viktor Gurov

https://github.com/pfsense/FreeBSD-ports/pull/953

#2 - 10/05/2020 08:27 AM - Jim Pingle

- Status changed from New to Pull Request Review

#3 - 10/12/2020 07:26 AM - Renato Botelho

- Status changed from Pull Request Review to Feedback

- Assignee set to Renato Botelho

PR has been merged.  Thanks!

#4 - 11/07/2020 02:38 PM - Jordan G

I was able to add and start an interface using snort with a USB ethernet adapter (ue0) on SG-5100

2.5.0-DEVELOPMENT (amd64)

built on Sat Nov 07 08:52:33 EST 2020

FreeBSD 12.2-STABLE

#5 - 11/12/2020 12:09 AM - Viktor Gurov

- Status changed from Feedback to Resolved

tested

Jordan Greene wrote:

I was able to add and start an interface using snort with a USB ethernet adapter (ue0) on SG-5100

2.5.0-DEVELOPMENT (amd64)

built on Sat Nov 07 08:52:33 EST 2020

FreeBSD 12.2-STABLE

 be sure that you select "Inline Mode",

tested on 2.4.5-p1 and 2.5.0.a.20201111.1850 with Snort pkg 4.1.2_2 - works as expected

if i select ue0 or mvneta0 interfaces and IPS Mode = Inline mode, I get an error
